<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'buyesrfolio',

    /*
     * Package.
     */
    'package'   => 'leads',

    /*
     * Modules.
     */
    'modules'   => ['lead'],

    
    'lead'       => [
        'model' => [
            'model'                 => \Buyesrfolio\Leads\Models\Lead::class,
            'table'                 => 'leads',
            'presenter'             => \Buyesrfolio\Leads\Repositories\Presenter\LeadPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'title',  'name',  'address',  'representing',  'location',  'sublocation',  'property_type',  'price_range',  'bedroom',  'bathroom',  'created_at'],
            'translatables'         => [],
            'upload_folder'         => 'leads/lead',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Buyesrfolio',
            'package'   => 'Leads',
            'module'    => 'Lead',
        ],

    ],
];
