<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLeadsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: leads
         */
        Schema::create('leads', function ($table) {
            $table->increments('id');
            $table->text('title')->nullable();
            $table->string('name', 50)->nullable();
            $table->text('address')->nullable();
            $table->text('representing')->nullable();
            $table->text('location')->nullable();
            $table->text('sublocation')->nullable();
            $table->text('property_type')->nullable();
            $table->string('price_range', 30)->nullable();
            $table->string('bedroom', 30)->nullable();
            $table->string('bathroom', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('leads');
    }
}
