<?php

// API routes  for lead
Route::prefix('{guard}/leads')->group(function () {
    Route::get('lead/form/{element}', 'LeadAPIController@form');
    Route::resource('lead', 'LeadAPIController');
});

// Public routes for lead
Route::get('leads/', 'LeadPublicController@index');
Route::get('leads/{slug?}', 'LeadPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for leads
            Route::prefix('{guard}/leads')->group(function () {
                Route::get('lead/form/{element}', 'LeadAPIController@form');
                Route::apiResource('lead', 'LeadAPIController');
            });
            // Public routes for leads
            Route::get('leads/Lead', 'LeadPublicController@getLead');
        }
    );
}

