<?php

namespace Buyesrfolio\Leads\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Buyesrfolio\Leads\Interfaces\LeadRepositoryInterface;

class LeadPublicController extends BaseController
{
    // use LeadWorkflow;

    /**
     * Constructor.
     *
     * @param type \Buyesrfolio\Lead\Interfaces\LeadRepositoryInterface $lead
     *
     * @return type
     */
    public function __construct(LeadRepositoryInterface $lead)
    {
        $this->repository = $lead;
        parent::__construct();
    }

    /**
     * Show lead's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $leads = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('leads::lead.names'))
            ->view('leads::public.lead.index')
            ->data(compact('leads'))
            ->output();
    }


    /**
     * Show lead.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $lead = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($lead->name . trans('leads::lead.name'))
            ->view('leads::public.lead.show')
            ->data(compact('lead'))
            ->output();
    }

}
