<?php

namespace Buyesrfolio\Leads;

use User;

class Leads
{
    /**
     * $lead object.
     */
    protected $lead;

    /**
     * Constructor.
     */
    public function __construct(\Buyesrfolio\Leads\Interfaces\LeadRepositoryInterface $lead)
    {
        $this->lead = $lead;
    }

    /**
     * Returns count of leads.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.lead.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->lead->pushCriteria(new \Litepie\Buyesrfolio\Repositories\Criteria\LeadUserCriteria());
        }

        $lead = $this->lead->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('leads::' . $view, compact('lead'))->render();
    }
}
