<?php

namespace Buyesrfolio\Leads\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class LeadTransformer extends TransformerAbstract
{
    public function transform(\Buyesrfolio\Leads\Models\Lead $lead)
    {
        return [
            'id'                => $lead->getRouteKey(),
            'key'               => [
                'public'    => $lead->getPublicKey(),
                'route'     => $lead->getRouteKey(),
            ], 
            'title'             => $lead->title,
            'name'              => $lead->name,
            'address'           => $lead->address,
            'representing'      => $lead->representing,
            'location'          => $lead->location,
            'sublocation'       => $lead->sublocation,
            'property_type'     => $lead->property_type,
            'price_range'       => $lead->price_range,
            'bedroom'           => $lead->bedroom,
            'bathroom'          => $lead->bathroom,
            'url'               => [
                'public'    => trans_url('leads/'.$lead->getPublicKey()),
                'user'      => guard_url('leads/lead/'.$lead->getRouteKey()),
            ], 
            'status'            => trans('app.'.$lead->status),
            'created_at'        => format_date($lead->created_at),
            'updated_at'        => format_date($lead->updated_at),
        ];
    }
}